<!DOCTYPE html>
<html lang="en">

<head>

    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Meta -->
    <meta name="description" content="Serviceblick Account-Verwaltung">
    <meta name="author" content="www.serviceblick.com">
    {% include 'snippets/tracking/matomo.tpl' %}
    <title>Profileinstellungen</title>
    <!-- vendor css -->
    <link rel="stylesheet" href="/style-global/lib/fontawesome-free/css/all.min.css?v=[cs_version]">
    <link rel="stylesheet" href="/style-global/lib/ionicons/css/ionicons.min.css?v=[cs_version]">
    <link rel="stylesheet" href="/style-global/lib/typicons.font/typicons.css?v=[cs_version]">
    <link rel="stylesheet" href="/style-global/lib/bootstrap-table/css/bootstrap-table.min.css?v=[cs_version]">
    <link rel="stylesheet" href="/style-global/lib/fnon-notification/fnon.min.css?v=[cs_version]">
    <!-- global CSS -->
    <link rel="stylesheet" href="/style-global/css/azia-global.min.css?v=[cs_version]">
    <link rel="stylesheet" href="/style-global/css/azia-global.min.css?v=[cs_version]">
    <link rel="stylesheet" href="/style-global/css/serviceblick-global.css?v=[cs_version]">

</head>

<body id="page-top" class="az-body">
{% include 'snippets/pb-loader.tpl' %}   
<div id="contentwrapper" style="display:none;" class="az-body">   

    <div class="az-header">
        <div class="container">
            <div class="az-header-left"><a href="" id="azContentLeftShow" class="az-header-arrow d-block d-lg-none"><i class="icon ion-md-arrow-back"></i></a> 
                <a href="index.html" class="az-logo"><span></span><img class="az-logo" src="./img/serviceblick_logo.gif" alt="Serviceblick logo"></a>
                <a href="./profile-settings.html"><span class="nav-link text-dark tx-20">Profileinstellungen</span></a>
            </div><!-- az-header-left -->
            <div class="az-header-menu">
                <div class="az-header-menu-header">
                  <a href="index.html" class="az-logo"><span></span><img class="az-logo" src="./img/serviceblick_logo.gif" alt="Serviceblick logo"></a>
                  <a href="" class="close">&times;</a>
                </div><!-- az-header-menu-header -->
            </div><!-- az-header-menu -->
            <div class="az-header-right">
                {% include 'snippets/header-apps-menu.tpl' %}
               {% include 'snippets/header-profile-menu.tpl' %}
            </div><!-- az-header-right -->
        </div><!-- container -->
    </div><!-- az-header -->

    <div class="az-content az-content-mail">
        <div class="container">
            <div class="az-content-left az-content-left-mail  az-content-left-components">
                <div class="az-content-header">
                    <!-- use if there is main menu that needs to be displayed in mobile view <a href="" id="azMenuShow" class="az-header-menu-icon"><span></span>-->
                    <a href="" id="azContentLeftHide" class="az-header-arrow">
                        <i class="icon ion-md-arrow-forward d-sm-none"></i>
                        <i class="icon ion-md-close d-none d-sm-block"></i>
                    </a>
                </div><!-- az-content-header -->
                <div class="component-item">
                    
                <div class="az-avatar-no-status avatar-xxl mg-b-20" id="left_nav_avatar"><i class="fas fa-user fa-1x"></i><!-- initials generated here on page load --></div>

                <h5 class="az-profile-name force-wrap mg-b-20" id="left_nav_name"><!-- profile name generated here on page load --></h5>

                    <label>Profilverwaltung</label>
                    <nav class="nav flex-column" id="use-activate-menu">
                        <a data-permission="system.user.own.profile" href="./profile-settings.html" class="nav-link">Persönliche Daten</a>
                        <a data-permission="dashboard.management.change_own_password" href="./profile-password.html" class="nav-link hidden">Passwort ändern</a>  
                    </nav>
                </div><!-- component-item -->
            </div><!-- az-content-left -->
    
            <div class="az-content-body az-content-body-mail pd-l-40 pd-r-40  ">
                <div class="az-content-breadcrumb">
                    <span>Mein Profil</span>
                    <span>Persönliche Daten</span>
                </div>

                <h2 class="az-content-title">Meine Profilinformationen</h2>

                <div>
                    <div class="az-content-label mg-b-5">Allgemeine Informationen</div>
                    <p class="mg-b-20">Wenn Sie die Daten ändern möchten, die mit Ihrem Benutzerkonto verknüpft ist, können Sie dies
                        unten tun. </p>
                    <div class="row row-sm align-items-start">
                        <div class="col-lg-4">
                            <label for="firstname" class="form-label">Vorname: <span class="tx-danger">*</span></label>
                            <input id="firstname" name="firstname" data-group="info" type="text" class="form-control" required disabled>
                            <span role="alert" id="firstnameError" class="error" aria-hidden="true">
                                Geben Sie einen Namen ein.
                            </span>
                        </div><!-- col -->
                        <div class="col-lg-4 mg-t-10 mg-lg-t-0">
                            <label for="lastname" class="form-label">Nachname: <span class="tx-danger">*</span></label>
                            <input id="lastname" name="lastname" data-group="info" type="text" class="form-control" required disabled>
                            <span role="alert" id="lastnameError" class="error" aria-hidden="true">
                                Geben Sie einen Nachnamen ein.
                            </span>
                        </div><!-- col -->
                        <div class="col-lg-4">
                            <div class="pt-3">
                                <div id="avatar2" class="az-avatar-no-status avatar-md"><!-- initials generated here on page load -->
                                        <i class="fas fa-user fa-1x"></i>
                                </div>
                            </div>
                        </div><!-- col -->
                        
                    </div>
                    <div class="row row-sm  mg-t-20 align-items-end">
                        
                        <div class="col-lg-4">
                            <label for="email" class="form-label">E-Mail: <span class="tx-danger">*</span></label>
                            <input id="email" name="email" data-group="info" type="email" class="form-control" required disabled>
                            <span role="alert" id="emailError" class="error" aria-hidden="true">
                                Bitte geben Sie eine gültige E-Mail-Adresse ein.
                            </span>
                        </div><!-- col -->
                        <div class="col-lg-4">
                            
                        </div><!-- col -->
                        
                        <div class="col-lg-4 mg-t-10 mg-lg-t-0 tx-left">
                            <button data-permission="system.user.own.profile.management" id="update_profile_button" class="btn btn-indigo text-nowrap hidden">bearbeiten</button>
                        </div><!-- col -->
                        
                      
                    </div>
                
                    <hr class="pd-y-20 border border-0">
                </div><!-- user name setting -->


            </div><!-- az-content-body -->
        </div><!-- container -->
    </div><!-- az-content -->

    {% include 'snippets/footer.tpl' %}
    <!-- az-footer -->
    
    </div><!--contentwrapper-->
    <!-- Settings Modal -->
    <div id="modal1" class="modal">
        <div class="modal-dialog modal-lg  modal-dialog-centered" role="document">
          <div class="modal-content modal-content-demo">
            <div class="modal-header">
              <h6 class="modal-title">Vorschau</h6>
              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            <div class="modal-body">
              
                <div class="row row-sm">
                    <div class="col-lg-12 mg-t-10 mg-lg-t-0">
                        
                    </div><!-- col -->
                </div>

            </div><!-- modal-body -->
            <div class="modal-footer">
              <button type="button" data-dismiss="modal" class="btn btn-outline-light">schließen</button>
            </div>
          </div>
        </div><!-- modal-dialog -->
      </div><!-- modal -->


    <script src="/style-global/lib/jquery/jquery.min.js?v=[cs_version]"></script>
    <script src="/style-global/lib/bootstrap/js/bootstrap.bundle.min.js?v=[cs_version]"></script>
    <script type="module" src="/style-global/lib/ionicons/ionicons/ionicons.esm.js?v=[cs_version]"></script>
    <script nomodule="" src="/style-global/lib/ionicons/ionicons/ionicons.js?v=[cs_version]"></script>
    <script src="/style-global/lib/fnon-notification/fnon.min.js?v=[cs_version]"></script>
    <script src="/style-global/js/azia.js?v=[cs_version]"></script>
    <script src="/csf-lib/vendor/jquery/jquery.blockUI.js?v=[cs_version]"></script>
    
    <script defer type="module">
        import {PbLogin} from '../csf-lib/pb-login.js?v=[cs_version]';
        import {getCookie} from "../csf-lib/pb-functions.js?v=[cs_version]";
        import { pbBrain } from '../csf-lib/pb-brain.js?v=[cs_version]'
        new pbBrain().boot("system-profile-settings-circuit")

        new PbLogin().init(getCookie("username")).then(function(login) {
        if (login.profileData.firstname && login.profileData.firstname != undefined) {
            $('#left_nav_name').html(login.profileData.firstname + " " + login.profileData.lastname)
            $('#left_nav_avatar').html(login.profileData.firstname.charAt(0) + login.profileData.lastname.charAt(0))
            }
        })

        $('#firstname').keyup(function() {
                $('#avatar2').html($(firstname).val().charAt(0)+$(lastname).val().charAt(0));
            }) 
        $('#lastname').keyup(function() {
                $('#avatar2').html($(firstname).val().charAt(0)+$(lastname).val().charAt(0));
            }) 

    </script>

</body>

</html>